EndpointsReporters
Create a reporter run
POST
/v2/reporters/runsQueues an on-demand reporter run against episodes, a round, league, player, or freeform input. The response is accepted before execution completes.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Request Body
application/json
Reporter binding, subject, and run options.
curl -X POST "https://example.com/v2/reporters/runs" \ -H "Content-Type: application/json" \ -d '{ "reporter": { "reporter_version_id": "string" }, "subject": {} }'{ "id": "string", "status": "pending", "reporter_version_id": "string", "subject": {}, "status_url": "string", "output_url": "string", "trace_url": "string", "usage": {}, "output_parts": [ { "id": "string", "reporter_id": "string", "reporter_run_id": "string", "name": "string", "type": "string", "size_bytes": 0, "content_hash": "string", "media_type": "string", "created_at": "2019-08-24T14:15:22Z", "url": "string" } ], "created_at": "2019-08-24T14:15:22Z", "running_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "error": "string"}